ResourceControllerStoreBuiltInResourceFile Method |
POST /Resource/BuiltInResourceFile/
Stores the contents of the specified built-in resource when sent as a file. This API call expects form files inside the request body.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("BuiltInResourceFile")]
public IActionResult StoreBuiltInResourceFile(
BuiltInResourceKind resourceKind,
Guid? tenantId = null,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("BuiltInResourceFile")>
Public Function StoreBuiltInResourceFile (
resourceKind As BuiltInResourceKind,
Optional tenantId As Guid? = Nothing,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"BuiltInResourceFile")]
IActionResult^ StoreBuiltInResourceFile(
BuiltInResourceKind resourceKind,
Nullable<Guid> tenantId = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("BuiltInResourceFile")>]
member StoreBuiltInResourceFile :
resourceKind : BuiltInResourceKind *
?tenantId : Nullable<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _tenantId = defaultArg tenantId null
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- resourceKind
- Type: Dundas.BI.AppResourcesBuiltInResourceKind
The kind of resource to get. - tenantId (Optional)
- Type: SystemNullableGuid
The optional tenant ID this resource is for. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
BuiltInResourceInfoData with the result, or a status code indicating the problem.
See Also